# ACEXML_Element_Tree_Node Class Reference

An abstract base class for describing DTD child element definition. More...

`#include <parser/debug_validator/Element_Tree.h>`

Inheritance diagram for ACEXML_Element_Tree_Node:

[legend]
Collaboration diagram for ACEXML_Element_Tree_Node:

[legend]
List of all members.

## Public Member Functions

| ACEXML_Element_Tree_Node ()
| Default constructor.
virtual | ~ACEXML_Element_Tree_Node ()
| Destructor.
ACEXML_Element_Tree_Node * | next ()
| Accessor for next element in chain.
void | next (ACEXML_Element_Tree_Node *n)
virtual void | dump ()=0
| Displaying the content.

## Public Attributes

| ACE_ALLOC_HOOK_DECLARE

## Protected Attributes

ACEXML_Element_Tree_Node * | next_

## Detailed Description

An abstract base class for describing DTD child element definition.

See also:
  ACEXML_Element_Tree_Name_Node, ACEXML_Element_Tree_List_Node

## Constructor & Destructor Documentation

ACEXML_INLINE ACEXML_Element_Tree_Node::ACEXML_Element_Tree_Node | ( |  | ) |

| Default constructor.

ACEXML_Element_Tree_Node::~ACEXML_Element_Tree_Node | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual void ACEXML_Element_Tree_Node::dump | ( |  | ) | `[pure virtual]`

| Displaying the content. Implemented in ACEXML_Element_Tree_Name_Node, and ACEXML_Element_Tree_List_Node.

ACEXML_INLINE void ACEXML_Element_Tree_Node::next | ( | ACEXML_Element_Tree_Node * | n | ) |

ACEXML_INLINE ACEXML_Element_Tree_Node * ACEXML_Element_Tree_Node::next | ( |  | ) |

| Accessor for next element in chain.

## Member Data Documentation

ACEXML_Element_Tree_Node::ACE_ALLOC_HOOK_DECLARE

| Reimplemented in ACEXML_Element_Tree_Name_Node, and ACEXML_Element_Tree_List_Node.

ACEXML_Element_Tree_Node* ACEXML_Element_Tree_Node::next_`[protected]`

The documentation for this class was generated from the following files:

- Element_Tree.h
- Element_Tree.cpp
- Element_Tree.i